
#include "Global_Variable.h"
#include "Emergency.h"
#include "can.h"
#include "board.h"

// Emergency_stop_flag = 0; // 0 : 정상 상태  , 1 : 급제동 도중 , 2 : 급제동 완료

// - 이머전시 관련 C 파일 삭제 예정
// 모두 오퍼레이션 모드 2에 작동되게 만들어졋음


// 급제동 도중
// 브레이크 램프 Blinking
void Emergency_braking_LAMP(void)
{
	switch(GV_VCU_Drive_Mode)
	{
		case 2:
			GV_Lamp_BRAKE_CMD = 2;
			GV_Lamp_Hazard_CMD = 2;
			break;
		default:
			GV_Lamp_BRAKE_CMD = 0;
			GV_Lamp_Hazard_CMD = 0;
			break;
	}
//	Emergency_stop_flag =2;

	if(Emergency_stop_flag == 2 ){
//		Emergency_braked_LAMP(); // 제동 완료함수 실행
	}

}


// 급제동 완료
// 비상깜빡이 깜빡거림

void Emergency_braked_LAMP(void){

	// 비상 깜빡이 함수 실행

//	Lamp_Hazard_CMD(2);

}

void Emergency_Stop_by_butten_Mode_Func()
{

//
	if(GV_DIN_CH1 == 1){
//		Emergency_braking_LAMP();
//		GV_VCU_RC_Emergency_Stop = 1;

		//Emergency Stop 로직에 의한 스탑. 현재는 Torq 0으로 만들겠음
		GV_Motor_Torque_Cmd = 0;
	}
//	if(GV_DIN_CH1 ==  0 && GV_Operation_Mode ==2){
//		Lamp_Hazard_CMD(0);
//	}



}
